summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan McGee <dan@archlinux.org>2011-07-28 12:48:38 -0500
committerDan McGee <dan@archlinux.org>2011-07-28 12:48:38 -0500
commitdffff9659be91d6f31c9e4cea1d9de06b00d5d6c (patch)
tree8166c56150d51fbe503cc708aa74c4f7c102b167
parentcd8747ba6d6b4068331c921ee65260424c6d9699 (diff)
parente42d97b7370c9e30d9ae66a33f42d27460eaf137 (diff)
Merge remote-tracking branch 'dave/scripts-fixup'
-rw-r--r--scripts/pkgdelta.sh.in3
-rw-r--r--scripts/repo-add.sh.in6
2 files changed, 6 insertions, 3 deletions
diff --git a/scripts/pkgdelta.sh.in b/scripts/pkgdelta.sh.in
index 46c6f4ff..0f3472b6 100644
--- a/scripts/pkgdelta.sh.in
+++ b/scripts/pkgdelta.sh.in
@@ -20,7 +20,6 @@
#
# bash options
-set -o nounset
set -o errexit
# gettext initialization
@@ -130,7 +129,7 @@ esac
if (( $# != 2 )); then
usage
- exit 0
+ exit 1
fi
if [[ ! -f $1 ]]; then
diff --git a/scripts/repo-add.sh.in b/scripts/repo-add.sh.in
index c598ad9b..48f221b8 100644
--- a/scripts/repo-add.sh.in
+++ b/scripts/repo-add.sh.in
@@ -609,8 +609,12 @@ while (( $# )); do
shift
done
-
REPO_DB_FILE=${args[0]}
+if [[ -z $REPO_DB_FILE ]]; then
+ usage
+ exit 1
+fi
+
LOCKFILE=$REPO_DB_FILE.lck
verify_repo_extension "$REPO_DB_FILE" >/dev/null